import { DetailedHTMLProps, SelectHTMLAttributes } from "react";
import { MultiSelectFormControl, OnChangeValueType } from "../../types";
import type { controlProps } from "../../types/controlProps";
export interface MultiSelectOption {
    value: string;
    label: string;
    selected?: boolean;
}
export interface IProps extends DetailedHTMLProps<SelectHTMLAttributes<HTMLSelectElement>, HTMLSelectElement> {
    id: string;
    control: MultiSelectFormControl;
    objectPathId?: string;
    onChangeValue: (newProperties: OnChangeValueType, customizer?: (...args: any) => any) => void;
    controlProps?: controlProps;
}
declare const MultiSelect: ({ onChangeValue, controlProps, id, control }: IProps) => import("react/jsx-runtime").JSX.Element;
export default MultiSelect;
