import type { OnChangeValueType, PostMessageResponse } from "../../../types";
export interface useAiProps {
    onAcceptAiResponse: (newProperties: OnChangeValueType) => void;
}
declare const useAi: ({ onAcceptAiResponse }: useAiProps) => {
    aiResponse: PostMessageResponse;
    isLoading: boolean;
    isError: {
        state: boolean;
        message: string;
        prompt: string;
        profile: string;
    };
    loadingActionIndex: number;
    handleAiActionClick: (prompt: string, profile: string, index: number) => Promise<void>;
    handleAccept: () => void;
    handleDiscard: () => void;
    handleBack: () => void;
    handleRetry: () => Promise<void>;
};
export default useAi;
